{% extends "district/base.html" %}
{% load wagtailroutablepage_tags %}

{% block content %}
{% routablepageurl page "tags" as articles_tag_page_url %}

  <h1 class="head-alt-md md:head-alt-lg max-w-5xl mb-4">
    {% if tag %}{{ page.title }} "{{ tag.name }}"{% else %}Výběr z článků{% endif %}
  </h1>

  <div class="space-y-8">
    <div class="article-card-list grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-3 gap-4 lg:gap-8">
      {% for a in article_page_list %}
        {% include "shared/article_preview.html" with article=a %}
      {% endfor %}
    </div>

    {% include 'styleguide/2.3.x/pagination.html' with page_url=articles_tag_page_url paginator=article_page_list %}

    <div>
      <h2 class="head-heavy-base mb-4">Další štítky</h2>
      <nav class="inline-block-nogap">
        {% for tag in tag_list %}
          <a
            href="{{ articles_tag_page_url }}?tag={{ tag.slug }}"
            class="btn btn--condensed font-light text-sm btn--grey-{% if tag.slug == request.GET.tag %}500{% else %}125{% endif %} btn--hoveractive mr-1 mb-1 inline-block"
          >
            <div class="btn__body ">{{ tag.name }} ({{ tag.count }})</div>
          </a>
        {% endfor %}
      </nav>
    </div>
  </div>
{% endblock %}
